Get a thread message's original body
GET
/v1/email/threads/{thread_id}/messages/{message_id}/body
const body = await bird.email.threads.messages.body("thr_01abc", "rem_01xyz");
console.log(body.text);body = client.email.threads.messages.body(
"thr_01krdgeqcxet5s7t44vh8rt9mg", "msg_01krdgeqcxet5s7t44vh8rt9mg",
)
print(body.html)body, err := client.Email.Threads.Messages.Body(context.Background(), "thr_123", "rem_456")
if err != nil {
log.Fatal(err)
}
fmt.Println(body.Text)$body = $bird->email->threads->messages->body(
'thr_01krdgeqcxet5s7t44vh8rt9mg',
'ems_01krdgeqcxet5s7t44vh8rt9mg',
);
echo $body->getText() ?? $body->getHtml();bird email threads messages body <thread-id> <message-id>curl -X GET "https://us1.platform.bird.com/v1/email/threads/{thread_id}/messages/{message_id}/body" \
-H "Authorization: Bearer $TOKEN"Returns the original rendered HTML and plain-text body of a message in a conversation. The original body is available for 30 days after the message occurred. After that, this endpoint returns 410 Gone, but the message's extracted text stays readable on the message itself.
Contenu de la réponse
html
nullable string
obligatoire
The HTML body of the message, or null when the message had no HTML part.
text
nullable string
obligatoire
The plain-text body of the message, or null when the message had no text part.